# Snow

## POST /api/Snow/CreateWorkSpace

>

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"tags":[{"name":"Snow"}],"servers":[{"url":"https://portal.nuvens.cloud/"}],"paths":{"/api/Snow/CreateWorkSpace":{"post":{"tags":["Snow"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SnowCreateDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/SnowCreateDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SnowCreateDto"}}},"required":true},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"SnowCreateDto":{"type":"object","properties":{"apiKey":{"type":"string","nullable":true},"samaccount":{"type":"string","nullable":true},"directoryid":{"type":"string","nullable":true},"bundleid":{"type":"string","nullable":true},"mode":{"type":"string","nullable":true},"encryptRootVolume":{"type":"boolean"},"encryptUserVolume":{"type":"boolean"},"workSpaceId":{"type":"string","nullable":true},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"nullable":true}}},"Tag":{"type":"object","properties":{"key":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}}}}}}
```

## POST /api/Snow/TerminateWorkSpace

>

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"tags":[{"name":"Snow"}],"servers":[{"url":"https://portal.nuvens.cloud/"}],"paths":{"/api/Snow/TerminateWorkSpace":{"post":{"tags":["Snow"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SnowCreateDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/SnowCreateDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SnowCreateDto"}}},"required":true},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"SnowCreateDto":{"type":"object","properties":{"apiKey":{"type":"string","nullable":true},"samaccount":{"type":"string","nullable":true},"directoryid":{"type":"string","nullable":true},"bundleid":{"type":"string","nullable":true},"mode":{"type":"string","nullable":true},"encryptRootVolume":{"type":"boolean"},"encryptUserVolume":{"type":"boolean"},"workSpaceId":{"type":"string","nullable":true},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"nullable":true}}},"Tag":{"type":"object","properties":{"key":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}}}}}}
```

## POST /api/Snow/TerminateWorkSpaceV2

>

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"tags":[{"name":"Snow"}],"servers":[{"url":"https://portal.nuvens.cloud/"}],"paths":{"/api/Snow/TerminateWorkSpaceV2":{"post":{"tags":["Snow"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SnowTerminateDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/SnowTerminateDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SnowTerminateDto"}}},"required":true},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"SnowTerminateDto":{"type":"object","properties":{"apiKey":{"type":"string","nullable":true},"username":{"type":"string","nullable":true},"directoryid":{"type":"string","nullable":true},"workSpaceId":{"type":"string","nullable":true},"requester":{"type":"string","nullable":true}}}}}}
```

## POST /api/Snow/ProvisionWorkSpace

>

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"tags":[{"name":"Snow"}],"servers":[{"url":"https://portal.nuvens.cloud/"}],"paths":{"/api/Snow/ProvisionWorkSpace":{"post":{"tags":["Snow"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SnowProvisionDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/SnowProvisionDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SnowProvisionDto"}}},"required":true},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"SnowProvisionDto":{"type":"object","properties":{"apiKey":{"maxLength":500,"minLength":0,"type":"string","nullable":true},"userName":{"maxLength":150,"minLength":0,"type":"string","nullable":true},"directoryId":{"maxLength":100,"minLength":0,"type":"string","nullable":true},"bundleId":{"maxLength":100,"minLength":0,"type":"string","nullable":true},"mode":{"maxLength":100,"minLength":0,"type":"string","nullable":true},"encryptRootVolume":{"type":"boolean"},"encryptUserVolume":{"type":"boolean"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/TagPair"},"nullable":true},"computeType":{"maxLength":200,"minLength":0,"type":"string","nullable":true},"scheduleName":{"maxLength":200,"minLength":0,"type":"string","nullable":true},"requiredComputerName":{"maxLength":200,"minLength":0,"type":"string","nullable":true},"sandBox":{"type":"boolean"}}},"TagPair":{"required":["tagName","tagValue"],"type":"object","properties":{"tagName":{"type":"string","nullable":true},"tagValue":{"type":"string","nullable":true}}}}}}
```

## POST /api/Snow/ChangeComputeType

>

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"tags":[{"name":"Snow"}],"servers":[{"url":"https://portal.nuvens.cloud/"}],"paths":{"/api/Snow/ChangeComputeType":{"post":{"tags":["Snow"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SnowChangeDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/SnowChangeDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SnowChangeDto"}}},"required":true},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"SnowChangeDto":{"type":"object","properties":{"apiKey":{"type":"string","nullable":true},"username":{"type":"string","nullable":true},"computeType":{"type":"string","nullable":true},"requester":{"type":"string","nullable":true},"workSpaceId":{"type":"string","nullable":true}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nuvens.cloud/api-reference/snow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
